Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class FProbability

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
              de.grogra.blocks.arrangeBlock.FProbability

All Implemented Interfaces:
  ProbabilityArrangeMethod, Manageable, Shareable

    public class FProbability

extends ShareableProbabilityArrangeBase
implements ProbabilityArrangeMethod

Nested Class Summary
`static class` | `FProbability.Type`

Field Summary
`static FProbability.Type` | `$TYPE`
`static SCOType.Field` | `den_deg_freedom$FIELD`
`static SCOType.Field` | `num_deg_freedom$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`probabilityValues, source`

Constructor Summary
`FProbability()`

Method Summary
`void` | `calculate()`
`int` | `getDen_deg_freedom()`
`ManageableType` | `getManageableType()`
`int` | `getNum_deg_freedom()`
`void` | `setDen_deg_freedom(int value)`
`void` | `setNum_deg_freedom(int value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`getProbabilityValues`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ProbabilityArrangeMethod
`getProbabilityValues`

Field Detail

### $TYPE

    public static final FProbability.Type $TYPE

### den_deg_freedom$FIELD

    public static final SCOType.Field den_deg_freedom$FIELD

### num_deg_freedom$FIELD

    public static final SCOType.Field num_deg_freedom$FIELD

Constructor Detail

### FProbability

    public FProbability()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableProbabilityArrangeBase`

### getDen_deg_freedom

    public int getDen_deg_freedom()

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getNum_deg_freedom

    public int getNum_deg_freedom()

### setDen_deg_freedom

    public void setDen_deg_freedom(int value)

### setNum_deg_freedom

    public void setNum_deg_freedom(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD